Loading...
Searching...
No Matches
casacore::TaQLResult Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TaQLResult.h>`

## Public Member Functions

| TaQLResult (const Table &=Table())
| Construct from a Table.
| TaQLResult (const TableExprNode &)
| Construct from a TableExprNode.
Bool | isTable () const
| Is the result a Table?
const Table & | table () const
| Return the result as a TableExprInfo.
TableExprNode | node () const
| Return the result as a TableExprNode.

## Private Attributes

Table | itsTable
TableExprNode | itsNode

## Detailed Description

Class to hold the result of a TaQL command.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

The result of a TaQL command can be a Table or a TableExprNode. This class holds the actual result.

### Motivation

It is possible to give a TaQL command resulting in a TableExprNode to make it possible to make expressions of columns.

Definition at line 64 of file TaQLResult.h.

## Constructor & Destructor Documentation

## TaQLResult() [1/2]

casacore::TaQLResult::TaQLResult | ( | const Table & | = Table() | ) |

explicit

Construct from a Table.

## TaQLResult() [2/2]

casacore::TaQLResult::TaQLResult | ( | const TableExprNode & |  | ) |

explicit

Construct from a TableExprNode.

## Member Function Documentation

## isTable()

Bool casacore::TaQLResult::isTable | ( |  | ) | const

inline

Is the result a Table?

Definition at line 74 of file TaQLResult.h.

References itsNode.

## node()

TableExprNode casacore::TaQLResult::node | ( |  | ) | const

Return the result as a TableExprNode.

It throws an exception if it is not a TableExprNode.

## table()

const Table & casacore::TaQLResult::table | ( |  | ) | const

Return the result as a TableExprInfo.

It throws an exception if it is not a table.

## Member Data Documentation

## itsNode

TableExprNode casacore::TaQLResult::itsNode

private

Definition at line 87 of file TaQLResult.h.

Referenced by isTable().

## itsTable

Table casacore::TaQLResult::itsTable

private

Definition at line 86 of file TaQLResult.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLResult.h